/**
 * \file
 * \brief <b>doxygen "flattens" nested structs (1)</b>
 */

/**
 * The flattened structure looks like this:
 * @code
 * struct {
 *     int x;
 *     int y;
 *     float a;
 *     float b;
 * } innerVariant_1;
 * @endcode
 */
struct {
    int x;
    int y;
    struct {
        float a;
        float b;
    } innerVariant_1;
} outerVariant_1;
